BCM43602 802.11ac Wireless regression - PCI ID 14e4:43ba

Bug #1836801 reported by Taihsiang Ho on 2019-07-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Xenial
High
Stefan Bader

Bug Description

[Description]

The wifi device BCM43602 802.11ac Wireless (PCI ID 14e4:43ba) running with the proposed kernel 4.4.0-155.182-generic will cause kernel trace[1]. However the wifi function works properly with the kernel 4.4.0-154.181

[Steps to Reproduce]
1. Install ubuntu xenial, enable the proposed repository, and update the system with "sudo apt-get dist-upgrade"
2. nmcli d wifi rescan
3. nmcli -t -f SSID,CHAN,FREQ,SIGNAL d wifi list ifname wlp2s0 (if your wifi interface is wlp2s0), you will see the available SSIDs in your environment.
4. nmcli d wifi connect <SSID> ifname wlp2s0 name TEST_CON

[Expected Result]
The AP is connected

[Actual Result]
You will get the message: "Error: Connection activation failed: (5) IP configuration could not be reserved (no available address, timeout, etc.)." and the kernel trace from /var/log/syslog[1]

Sometime the system hangs when connecting to a wifi AP.

[More Information]

[1] The kernel trace log
hecking kernel ring buffer for brcmfmac messages:
kern :info : [Tue Jul 16 09:58:34 2019] usbcore: registered new interface driver brcmfmac
kern :warn : [Tue Jul 16 09:58:34 2019] brcmfmac 0000:02:00.0: Direct firmware load for brcm/brcmfmac43602-pcie.txt failed with error -2
kern :info : [Tue Jul 16 09:58:35 2019] brcmfmac 0000:02:00.0 wlp2s0: renamed from wlan0
kern :warn : [Tue Jul 16 10:08:01 2019] Modules linked in: rfcomm bnep snd_hda_codec_hdmi dell_led snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec i2c_designware_platform i2c_designware_core snd_hda_core snd_hwd
ep snd_pcm dell_wmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_seq_midi dell_laptop kvm irqbypass crct10dif_pclmul crc32_pclmul dcdbas ghash_clmulni_intel snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device
 aesni_intel snd_timer aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd input_leds joydev soundcore serio_raw brcmfmac cdc_ether rtsx_pci_ms brcmutil usbnet memstick btusb btrtl uvcvideo btbcm cfg80211 videobuf2_vmalloc btintel
 videobuf2_memops r8152 bluetooth mii videobuf2_v4l2 idma64 virt_dma videobuf2_core mei_me v4l2_common intel_lpss_pci intel_lpss
kern :warn : [Tue Jul 16 10:08:01 2019] [<ffffffffc077e983>] brcmf_netif_rx+0x73/0xa0 [brcmfmac]
kern :warn : [Tue Jul 16 10:08:01 2019] [<ffffffffc07844f2>] brcmf_msgbuf_process_rx+0x142/0x5f0 [brcmfmac]
kern :warn : [Tue Jul 16 10:08:01 2019] [<ffffffffc0784ed1>] brcmf_proto_msgbuf_rx_trigger+0x31/0xe0 [brcmfmac]
kern :warn : [Tue Jul 16 10:08:01 2019] [<ffffffffc07911fa>] brcmf_pcie_isr_thread_v2+0x17a/0x1e0 [brcmfmac]
kern :warn : [Tue Jul 16 10:08:01 2019] Modules linked in: rfcomm bnep snd_hda_codec_hdmi dell_led snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec i2c_designware_platform i2c_designware_core snd_hda_core snd_hwd
ep snd_pcm dell_wmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_seq_midi dell_laptop kvm irqbypass crct10dif_pclmul crc32_pclmul dcdbas ghash_clmulni_intel snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device
 aesni_intel snd_timer aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd input_leds joydev soundcore serio_raw brcmfmac cdc_ether rtsx_pci_ms brcmutil usbnet memstick btusb btrtl uvcvideo btbcm cfg80211 videobuf2_vmalloc btintel
 videobuf2_memops r8152 bluetooth mii videobuf2_v4l2 idma64 virt_dma videobuf2_core mei_me v4l2_common intel_lpss_pci intel_lpss
kern :warn : [Tue Jul 16 10:08:01 2019] [<ffffffffc077e983>] brcmf_netif_rx+0x73/0xa0 [brcmfmac]
kern :warn : [Tue Jul 16 10:08:01 2019] [<ffffffffc07844f2>] brcmf_msgbuf_process_rx+0x142/0x5f0 [brcmfmac]
kern :warn : [Tue Jul 16 10:08:01 2019] [<ffffffffc0784ed1>] brcmf_proto_msgbuf_rx_trigger+0x31/0xe0 [brcmfmac]
kern :warn : [Tue Jul 16 10:08:01 2019] [<ffffffffc07911fa>] brcmf_pcie_isr_thread_v2+0x17a/0x1e0 [brcmfmac]

[Known Affected Platforms]

Dell XPS 15 9550 (CID 201606-22346)

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-155-generic 4.4.0-155.182
ProcVersionSignature: Ubuntu 4.4.0-155.182-generic 4.4.181
Uname: Linux 4.4.0-155-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.19
Architecture: amd64
Date: Tue Jul 16 15:57:36 2019
InstallationDate: Installed on 2018-01-11 (551 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: linux-signed
UpgradeStatus: No upgrade log present (probably fresh install)
---
ApportVersion: 2.20.1-0ubuntu2.19
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1756 F.... pulseaudio
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=d93551ad-a8f2-44f5-93ad-2ff3a972a488
InstallationDate: Installed on 2018-01-11 (551 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
MachineType: Dell Inc. XPS 15 9550
Package: linux-signed
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-155-generic root=UUID=97caa0b1-7590-4cb2-8da8-d6a8af773f58 ro
ProcVersionSignature: Ubuntu 4.4.0-155.182-generic 4.4.181
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-155-generic N/A
 linux-backports-modules-4.4.0-155-generic N/A
 linux-firmware 1.157.22
Tags: xenial uec-images
Uname: Linux 4.4.0-155-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 02/17/2017
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.2.21
dmi.board.name: 0N7TVV
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.2.21:bd02/17/2017:svnDellInc.:pnXPS159550:pvr:rvnDellInc.:rn0N7TVV:rvrA01:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 15 9550
dmi.sys.vendor: Dell Inc.

Taihsiang Ho (taihsiangho) wrote :
description: updated
tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Stefan Bader (smb) wrote :

Upstream stable 4.4.181 had many brcmfmac updates. From the trace suspicious seems:

brcmfmac: revise handling events in receive path

    commit 9c349892ccc90c6de2baaa69cc78449f58082273 upstream.

which has a fixup upstream that sounds like the issue:

commit 31143e2933d1675c4c1ba6ce125cdd95870edd85
Author: Franky Lin <email address hidden>
Date: Thu Jun 2 02:00:27 2016 -0700

    brcmfmac: add eth_type_trans back for PCIe full dongle

    A regression was introduced in commit 9c349892ccc9 ("brcmfmac: revise
    handling events in receive path") which moves eth_type_trans() call
    to brcmf_rx_frame(). Msgbuf layer doesn't use brcmf_rx_frame() but invokes
    brcmf_netif_rx() directly. In such case the Ethernet header was not
    stripped out resulting in null pointer dereference in the networking
    stack.

    BUG: unable to handle kernel NULL pointer dereference at 0000000000000048
    IP: [<ffffffff814c3ce6>] enqueue_to_backlog+0x56/0x260
    ...
    Fixes: 9c349892ccc9 ("brcmfmac: revise handling events in receive path")
    Reported-by: Rafal Milecki <email address hidden>
    Reported-by: Grey Christoforo <email address hidden>
    Reviewed-by: Pieter-Paul Giesberts <email address hidden>
    Reviewed-by: Arend Van Spriel <email address hidden>
    Reviewed-by: Hante Meuleman <email address hidden>
    Signed-off-by: Franky Lin <email address hidden>
    [<email address hidden>: rephrased the commit message]
    Signed-off-by: Arend van Spriel <email address hidden>
    Signed-off-by: Kalle Valo <email address hidden>

Changed in linux (Ubuntu Xenial):
status: New → In Progress
Stefan Bader (smb) on 2019-07-17
Changed in linux (Ubuntu Xenial):
importance: Undecided → High
Changed in linux (Ubuntu):
status: Confirmed → Invalid
no longer affects: linux-signed (Ubuntu)
Stefan Bader (smb) on 2019-07-17
Changed in linux (Ubuntu Xenial):
assignee: nobody → Stefan Bader (smb)
no longer affects: linux-signed (Ubuntu Xenial)
Stefan Bader (smb) on 2019-07-17
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial

Hardware certification tests confirmed the issue to be fixed:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1836880/comments/1

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (30.5 KiB)

This bug was fixed in the package linux - 4.4.0-157.185

---------------
linux (4.4.0-157.185) xenial; urgency=medium

  * linux: 4.4.0-157.185 -proposed tracker (LP: #1837476)

  * systemd 229-4ubuntu21.22 ADT test failure with linux 4.4.0-156.183 (storage)
    (LP: #1837235)
    - Revert "block/bio: Do not zero user pages"
    - Revert "block: Clear kernel memory before copying to user"
    - Revert "bio_copy_from_iter(): get rid of copying iov_iter"

linux (4.4.0-156.183) xenial; urgency=medium

  * linux: 4.4.0-156.183 -proposed tracker (LP: #1836880)

  * BCM43602 802.11ac Wireless regression - PCI ID 14e4:43ba (LP: #1836801)
    - brcmfmac: add eth_type_trans back for PCIe full dongle

linux (4.4.0-155.182) xenial; urgency=medium

  * linux: 4.4.0-155.182 -proposed tracker (LP: #1834918)

  * Geneve tunnels don't work when ipv6 is disabled (LP: #1794232)
    - geneve: correctly handle ipv6.disable module parameter

  * Kernel modules generated incorrectly when system is localized to a non-
    English language (LP: #1828084)
    - scripts: override locale from environment when running recordmcount.pl

  * Handle overflow in proc_get_long of sysctl (LP: #1833935)
    - sysctl: handle overflow in proc_get_long

  * Xenial update: 4.4.181 upstream stable release (LP: #1832661)
    - x86/speculation/mds: Revert CPU buffer clear on double fault exit
    - x86/speculation/mds: Improve CPU buffer clear documentation
    - ARM: exynos: Fix a leaked reference by adding missing of_node_put
    - crypto: vmx - fix copy-paste error in CTR mode
    - crypto: crct10dif-generic - fix use via crypto_shash_digest()
    - crypto: x86/crct10dif-pcl - fix use via crypto_shash_digest()
    - ALSA: usb-audio: Fix a memory leak bug
    - ALSA: hda/hdmi - Consider eld_valid when reporting jack event
    - ALSA: hda/realtek - EAPD turn on later
    - ASoC: max98090: Fix restore of DAPM Muxes
    - ASoC: RT5677-SPI: Disable 16Bit SPI Transfers
    - mm/mincore.c: make mincore() more conservative
    - ocfs2: fix ocfs2 read inode data panic in ocfs2_iget
    - mfd: da9063: Fix OTP control register names to match datasheets for
      DA9063/63L
    - tty/vt: fix write/write race in ioctl(KDSKBSENT) handler
    - ext4: actually request zeroing of inode table after grow
    - ext4: fix ext4_show_options for file systems w/o journal
    - Btrfs: do not start a transaction at iterate_extent_inodes()
    - bcache: fix a race between cache register and cacheset unregister
    - bcache: never set KEY_PTRS of journal key to 0 in journal_reclaim()
    - ipmi:ssif: compare block number correctly for multi-part return messages
    - crypto: gcm - Fix error return code in crypto_gcm_create_common()
    - crypto: gcm - fix incompatibility between "gcm" and "gcm_base"
    - crypto: chacha20poly1305 - set cra_name correctly
    - crypto: salsa20 - don't access already-freed walk.iv
    - crypto: arm/aes-neonbs - don't access already-freed walk.iv
    - writeback: synchronize sync(2) against cgroup writeback membership switches
    - fs/writeback.c: use rcu_barrier() to wait for inflight wb switches going
      into workqueue when umount
    - ALSA: hda/realtek - Fix for Lenovo B...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers